Paycose Docs
Testing (dev only)
DELETE/internal/test/customers/balances

Withdraw from Customer Balance

Body — RemoveCustomerBalanceDTO.

Possible values

FieldPossible values
stateavailable — Counted toward spendable balance · hold — Reserved / on hold

Request

Example

curl -X DELETE 'https://api.paycose.com/api/v1/app1/platform/wallet/internal/test/customers/balances' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}' \
  -d '{
  "account": "<string>",
  "customer_id": "{{customer_id}}",
  "balance_id": "<string>",
  "state": "available",
  "amount": 100000
}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Body

NameTypeValue
accountstring<string>
customer_idstring{{customer_id}}
balance_idstring<string>
statestringavailable
amountnumber100000
{
  "account": "<string>",
  "customer_id": "{{customer_id}}",
  "balance_id": "<string>",
  "state": "available",
  "amount": 100000
}

Responses

400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}
500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page